<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/TrackData.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TrackData.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_track_data_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_TrackDATA_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_TrackDATA_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html">   14</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_track_data.html">TrackData</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a1353d52c7b7e9669853e17657002952c">   16</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_data.html#a1353d52c7b7e9669853e17657002952c">chi2</a>; </div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a4c2d5f8952b9ebd34e0856534c473f0c">   17</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#a4c2d5f8952b9ebd34e0856534c473f0c">ndf</a>; </div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a258c0918a390f5b560f9d57ac12c0f52">   18</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_data.html#a258c0918a390f5b560f9d57ac12c0f52">dEdx</a>; </div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#ae71c11497339be2ef138985640cff359">   19</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_data.html#ae71c11497339be2ef138985640cff359">dEdxError</a>; </div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a8776f2a37ffd68d6bc625b94a9e0abd9">   20</a></span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_track_data.html#a8776f2a37ffd68d6bc625b94a9e0abd9">radiusOfInnermostHit</a>; </div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#af9897e601052d47b278b2f2876355254">   22</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#af9897e601052d47b278b2f2876355254">tracks_begin</a>;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a596500a8937abeff44b8d00cc9c46879">   23</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#a596500a8937abeff44b8d00cc9c46879">tracks_end</a>;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#ac58b547ca228432d05401a69fe7630b9">   24</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#ac58b547ca228432d05401a69fe7630b9">hits_begin</a>;</div><div class="line"><a name="l00025"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#ad59bf9e1327924002c82cc366ff5c2f0">   25</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#ad59bf9e1327924002c82cc366ff5c2f0">hits_end</a>;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#adcefe7b5d229a1804508f48e45d33a45">   26</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#adcefe7b5d229a1804508f48e45d33a45">trackStates_begin</a>;</div><div class="line"><a name="l00027"></a><span class="lineno"><a class="line" href="classeic_1_1_track_data.html#a01ee076adb93e5422f68917ad4733da2">   27</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_track_data.html#a01ee076adb93e5422f68917ad4733da2">trackStates_end</a>;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;};</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_track_data_html_a01ee076adb93e5422f68917ad4733da2"><div class="ttname"><a href="classeic_1_1_track_data.html#a01ee076adb93e5422f68917ad4733da2">eic::TrackData::trackStates_end</a></div><div class="ttdeci">unsigned int trackStates_end</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00027">TrackData.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_ac58b547ca228432d05401a69fe7630b9"><div class="ttname"><a href="classeic_1_1_track_data.html#ac58b547ca228432d05401a69fe7630b9">eic::TrackData::hits_begin</a></div><div class="ttdeci">unsigned int hits_begin</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00024">TrackData.h:24</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_adcefe7b5d229a1804508f48e45d33a45"><div class="ttname"><a href="classeic_1_1_track_data.html#adcefe7b5d229a1804508f48e45d33a45">eic::TrackData::trackStates_begin</a></div><div class="ttdeci">unsigned int trackStates_begin</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00026">TrackData.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_a8776f2a37ffd68d6bc625b94a9e0abd9"><div class="ttname"><a href="classeic_1_1_track_data.html#a8776f2a37ffd68d6bc625b94a9e0abd9">eic::TrackData::radiusOfInnermostHit</a></div><div class="ttdeci">float radiusOfInnermostHit</div><div class="ttdoc">The radius of the innermost hit that has been used in the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00020">TrackData.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_af9897e601052d47b278b2f2876355254"><div class="ttname"><a href="classeic_1_1_track_data.html#af9897e601052d47b278b2f2876355254">eic::TrackData::tracks_begin</a></div><div class="ttdeci">unsigned int tracks_begin</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00022">TrackData.h:22</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_a4c2d5f8952b9ebd34e0856534c473f0c"><div class="ttname"><a href="classeic_1_1_track_data.html#a4c2d5f8952b9ebd34e0856534c473f0c">eic::TrackData::ndf</a></div><div class="ttdeci">int ndf</div><div class="ttdoc">Number of degrees of freedom of the track fit. </div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00017">TrackData.h:17</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_a1353d52c7b7e9669853e17657002952c"><div class="ttname"><a href="classeic_1_1_track_data.html#a1353d52c7b7e9669853e17657002952c">eic::TrackData::chi2</a></div><div class="ttdeci">float chi2</div><div class="ttdoc">Chi2. </div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00016">TrackData.h:16</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_ae71c11497339be2ef138985640cff359"><div class="ttname"><a href="classeic_1_1_track_data.html#ae71c11497339be2ef138985640cff359">eic::TrackData::dEdxError</a></div><div class="ttdeci">float dEdxError</div><div class="ttdoc">Error of dEdx. </div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00019">TrackData.h:19</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_ad59bf9e1327924002c82cc366ff5c2f0"><div class="ttname"><a href="classeic_1_1_track_data.html#ad59bf9e1327924002c82cc366ff5c2f0">eic::TrackData::hits_end</a></div><div class="ttdeci">unsigned int hits_end</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00025">TrackData.h:25</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html"><div class="ttname"><a href="classeic_1_1_track_data.html">eic::TrackData</a></div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00014">TrackData.h:14</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_a596500a8937abeff44b8d00cc9c46879"><div class="ttname"><a href="classeic_1_1_track_data.html#a596500a8937abeff44b8d00cc9c46879">eic::TrackData::tracks_end</a></div><div class="ttdeci">unsigned int tracks_end</div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00023">TrackData.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_track_data_html_a258c0918a390f5b560f9d57ac12c0f52"><div class="ttname"><a href="classeic_1_1_track_data.html#a258c0918a390f5b560f9d57ac12c0f52">eic::TrackData::dEdx</a></div><div class="ttdeci">float dEdx</div><div class="ttdoc">dEdx of the track. </div><div class="ttdef"><b>Definition:</b> <a href="_track_data_8h_source.html#l00018">TrackData.h:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
